// Copyright (c) 2019 Giorgos Vougioukas
//
// The license can be found in the LICENSE file.

#ifndef _EUTERPE_CHANGELOG_WINDOW_H_
#define _EUTERPE_CHANGELOG_WINDOW_H_

#include "euterpe/definitions.h"
#include "euterpe/editor.h"
#include "WDL/wingui/wndsize.h"

class RSE_ChangeLogWnd
{
public:
  RSE_ChangeLogWnd();
  ~RSE_ChangeLogWnd();

  HWND Handle() const;
  static WDL_DLGRET ST_ChangelogWndProc(HWND hwnd, UINT msg, WPARAM wparam, LPARAM lparam);

private:
  WDL_DLGRET ChangelogWndProc(UINT msg, WPARAM wparam, LPARAM lparam);

  HWND m_hwnd;

  RSE_PreviewEditor m_preview;
  WDL_WndSizer m_resize;
};

#endif // _EUTERPE_CHANGELOG_WINDOW_H_
